Bug 1569722 - powertop can not be installed on atomic host
Summary: powertop can not be installed on atomic host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: powertop
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1352154
TreeView+ depends on / blocked
 
Reported: 2018-04-19 21:44 UTC by William Brown
Modified: 2018-04-29 05:15 UTC (History)
5 users (show)

Fixed In Version: powertop-2.9-6.fc28 powertop-2.9-6.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 04:10:56 UTC


Attachments (Terms of Use)

Description William Brown 2018-04-19 21:44:12 UTC
Description of problem:

During the powertop post script it attempts to touch a number of files. Due to the design of fedora atomic workstation, the folders powertop expects to exist are not present, and this causes the post script to fail.

Running post scripts... error: Running %post for powertop: Executing bwrap(/bin/sh): Child process killed by signal 1; run `journalctl -t 'rpm-ostree(powertop.post)'` for more information


-- Logs begin at Sat 2018-03-17 04:07:42 AEST, end at Fri 2018-04-20 07:40:35 AEST. --
Apr 01 13:28:14 localhost.localdomain rpm-ostree(powertop.post)[24359]: touch: cannot touch '/var/cache/powertop/saved_parameters.powertop': No such file or directory
Apr 01 13:28:14 localhost.localdomain rpm-ostree(powertop.post)[24359]: touch: cannot touch '/var/cache/powertop/saved_results.powertop': No such file or directory
-- Reboot --
Apr 20 07:35:47 localhost.localdomain rpm-ostree(powertop.post)[7558]: touch: cannot touch '/var/cache/powertop/saved_parameters.powertop': No such file or directory
Apr 20 07:35:47 localhost.localdomain rpm-ostree(powertop.post)[7558]: touch: cannot touch '/var/cache/powertop/saved_results.powertop': No such file or directory

Comment 1 Jaroslav Škarvada 2018-04-20 16:32:20 UTC
I made the scriptlet not to fail, but I wonder the /var/cache/powertop directory is not there? Or is not writeable?

$ rpm -ql powertop
/var/cache/powertop
/var/cache/powertop/saved_parameters.powertop
/var/cache/powertop/saved_results.powertop

Comment 2 Fedora Update System 2018-04-20 22:26:51 UTC
powertop-2.9-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-611bac5aea

Comment 3 Fedora Update System 2018-04-20 22:30:21 UTC
powertop-2.9-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6b86917ffb

Comment 4 Fedora Update System 2018-04-21 18:39:18 UTC
powertop-2.9-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-611bac5aea

Comment 5 Fedora Update System 2018-04-23 17:20:30 UTC
powertop-2.9-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6b86917ffb

Comment 6 Fedora Update System 2018-04-27 04:10:56 UTC
powertop-2.9-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-04-29 05:15:10 UTC
powertop-2.9-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.